var fs = require('fs');
var args = process.argv.slice(2);
const docs = __dirname + '/cli_docs - dtree';
var help = function(command) {
  switch(command) {
    case '-d':
    case '-dirs':
      return fs.readFileSync(docs + '/-dirs.txt').toString();
    case '-nod':
    case '-no-of-dirs':
      return fs.readFileSync(docs + '/-no-of-dirs.txt').toString();
    case '-td':
    case '-total-dirs':
      return fs.readFileSync(docs + '/-total-dirs.txt').toString();
    case '-notd':
    case '-no-total-of-dirs':
      return fs.readFileSync(docs + '/-no-of-total-dirs.txt').toString();
    case '-f':
    case '-files':
      return fs.readFileSync(docs + '/-files.txt').toString();
    case '-nof':
    case '-no-of-files':
      return fs.readFileSync(docs + '/-no-of-files.txt').toString();
    case '-tf':
    case '-total-files':
      return fs.readFileSync(docs + '/-total-files.txt').toString();
    case '-notf':
    case '-no-of-total-files':
      return fs.readFileSync(docs + '/-no-of-total-files.txt').toString();
    case '-dco':
    case '-dirs-creation-order':
      return fs.readFileSync(docs + '/-dirs-creation-order.txt').toString();
    case '-ft':
    case '-fileless-tree':
      return fs.readFileSync(docs + '/-fileless-tree.txt').toString();
    case '-sz':
    case '-size':
      return fs.readFileSync(docs + '/-size.txt').toString();
    case '-sof':
    case '-size-of-files':
      return fs.readFileSync(docs + '/-size-of-files.txt').toString();
    case '-up':
    case '-unread-paths':
      return fs.readFileSync(docs + '/-unread-paths.txt').toString();
    case '-noup':
    case '-no-of-unread-paths':
      return fs.readFileSync(docs + '/-no-of-unread-paths.txt').toString();
    case '-tup':
    case '-total-unread-paths':
      return fs.readFileSync(docs + '/-total-unread-paths.txt').toString();
    case '-notup':
    case '-no-of-total-unread-paths':
      return fs.readFileSync(docs + '/-no-of-total-unread-paths.txt').toString();
    case '-fd':
    case '-filter-dirs':
      return fs.readFileSync(docs + '/-filter-dirs.txt').toString();
    case '-ff':
    case '-filter-files':
      return fs.readFileSync(docs + '/-filter-files.txt').toString();
    case '-p':
    case '-plain':
      return fs.readFileSync(docs + '/-plain.txt').toString();
    case '-md':
    case '-max-depth':
      return fs.readFileSync(docs + '/-max-depth.txt').toString();
    case '-st':
    case '-stats':
      return fs.readFileSync(docs + '/-stats.txt').toString();
    case '-dhf':
    case '-dirs-having-files':
      return fs.readFileSync(docs + '/-dirs-having-files.txt').toString();
    case '-h':
      return fs.readFileSync(docs + '/-h.txt').toString();
    default:
      console.log('\n  Invalid arguments.\n\n  For assistance, execute:\n\n    dtree  -h  [command]\n');
      process.exit(-1);
   }
}
switch (args.length) {
  case 0:
    console.log(help('-h'));
    process.exit(0);
    break;
  case 1:
    switch (args[0].toLowerCase()) {
      case '-h':
      case '-help':
        console.log(help('-h'));
        process.exit(0);
    }
    break;
  default:
    switch (args[0].toLowerCase()) {
      case '-h':
      case '-help':
        console.log(help(args[1]));
        process.exit(0);
    }
}
module.exports = args;
